%define packname  DynDoc
%define bioc      2.3
%define Rversion  2.8.0

Name:             R-%{packname}
Version:          1.20.0 
Release:          1%{?dist}
Summary:          Functions for dynamic documents

Group:            Applications/Productivity
License:          Artistic 2.0
URL:              http://bioconductor.org/packages/%{bioc}/bioc/html/DynDoc.html
Source0:          http://www.bioconductor.org/packages/%{bioc}/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch

Requires:         R >= %{Rversion}
Requires(post):   R >= %{Rversion}
Requires(postun): R
BuildRequires:    R-devel >= %{Rversion} tetex-latex 

%description
A set of functions to create and interact with dynamic documents and 
vignettes.

%prep
%setup -c -q -n %{packname}

%build

%install
%{__rm} -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/R/library
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library

# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_datadir}/R/library/R.css


%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%post 
%{_R_make_search_index}

%postun 
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/latex
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/man
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/R-ex
%{_datadir}/R/library/%{packname}/help


%changelog
* Mon Oct 27 2008 pingou <pingoufc4-at-yahoo.fr> 1.20.0-1
- Update to version 1.20.0 for R >= 2.8.0

* Wed Jun 25 2008 Pingou <pingoufc4@yahoo.fr> 1.18.0-2
- Change the url

* Fri May 02 2008 Pingou <pingoufc4@yahoo.fr> 1.18.0-1
- Update to bioconductor 2.2

* Mon Oct 08 2007 Pingou <pingoufc4@yahoo.fr> 1.17.0-1
- Update to bioconductor 2.1

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-5
-Change the license tag

* Fri Jul 13 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-4
- Change in the BR and R to fit the guidelines

* Tue Jul 10 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-3
- Change _libdir to _datadir as it is a noarch package
- Change in the files section to mark the folder
- Change in the post and postun section to fit with the packaging guidelines
- Change in the prep section to fit with the packaging guidelines

* Wed May 23 2007 Pingou <pingoufc4@yahoo.fr> 1.14.0-2
- Submitting to Fedora Extras

* Wed May 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.14.0-1
- initial package for Fedora
